---
lang: en
title: 'API docs: service-proxy.serviceproxy'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.serviceproxy.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [serviceProxy](./service-proxy.serviceproxy.md)

## serviceProxy() function

<b>Signature:</b>

```typescript
export declare function serviceProxy(dataSource: string | juggler.DataSource): (target: object, key: string, parameterIndex?: number | undefined) => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dataSource | <code>string &#124; juggler.DataSource</code> |  |

<b>Returns:</b>

`(target: object, key: string, parameterIndex?: number | undefined) => void`


